Name:           gnome-code-assistance
Version:        0.3.1
Release:        4%{?dist}
Summary:        Common code assistance services for code editors

License:        GPLv3+
URL:            http://wiki.gnome.org/Projects/CodeAssistance

Source0:        https://download.gnome.org/sources/%{name}/0.3/%{name}-%{version}.tar.xz

BuildRequires:  libtool
BuildRequires:  gcc

# C Backend
BuildRequires:  clang-devel
BuildRequires:  llvm-devel

# Python and XML backends:
BuildRequires:  python3
BuildRequires:  python3-dbus
BuildRequires:  python3-gobject
BuildRequires:  python3-lxml
BuildRequires:  python3-simplejson
# Javascript Backend:
BuildRequires:  gjs

# Vala backend:
BuildRequires:  vala-devel
BuildRequires:  libgee-devel

#Ruby/CSS/ Backend:
BuildRequires:  ruby
BuildRequires:  rubygem-ruby-dbus
BuildRequires:  rubygem-sass

Requires:  ruby
Requires:  rubygem-ruby-dbus
Requires:  rubygem-sass
Requires:  gjs
Requires:  python3
Requires:  python3-lxml
Requires:  python3-dbus
Requires:  python3-gobject
Requires:  python3-simplejson
Requires:  clang
Requires:  dbus

%description
gnome-code-assistance is a project which aims to provide common code assistance
services for code editors (simple editors as well as IDEs). It is an effort to
provide a centralized code-assistance as a service for the GNOME platform
instead of having every editor implement their own solution.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc README COPYING NEWS
%{_libexecdir}/%{name}/*
%{_datadir}/glib-2.0/schemas/org.gnome.codeassistance.gschema.xml
%{_datadir}/dbus-1/services/*.service

%changelog
* Mon May 05 2014 Elad Alfassa <elad@fedoraproject.org> - 0.3.1-4
- BuildRequire python3-simplejson so it's not bundled

* Mon May 05 2014 Elad Alfassa <elad@fedoraproject.org> - 0.3.1-3
- BuildRequire rubygem-sass so it's not bundled
- Fix up license tag

* Tue Apr 22 2014 Elad Alfassa <elad@fedoraproject.org> - 0.3.1-2
- Address issues from review

* Fri Apr 04 2014 Elad Alfassa <elad@fedoraproject.org> - 0.3.1-1
- Update to upstream 0.3.1

* Mon Mar  3 2014 Elad Alfassa <elad@fedoraproject.org>
- Initial Build
